Package org.jfree.report.flow.raw

# Class RawReportProcessor

java.lang.Object
org.jfree.report.flow.AbstractReportProcessor
org.jfree.report.flow.SinglePassReportProcessor
org.jfree.report.flow.raw.RawReportProcessor

All Implemented Interfaces:
  `ReportProcessor`

public class RawReportProcessor extends SinglePassReportProcessor
The Raw report processor defines the base for all non-layouting output methods. As no layouting is involved, this output method is lightning fast.

Author:
  Thomas Morgner

## Constructor Summary

Constructors
Constructor
Description
`RawReportProcessor()`

## Method Summary

Modifier and Type
Method
Description
`protected ReportTarget`
`createReportTarget(ReportJob job)`

### Methods inherited from class org.jfree.report.flow.SinglePassReportProcessor

`processReport`

### Methods inherited from class org.jfree.report.flow.AbstractReportProcessor

`createFlowControler, createReportContext, processReportRun`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RawReportProcessor

public RawReportProcessor()

## Method Details

### createReportTarget

protected ReportTarget createReportTarget(ReportJob job)

Specified by:
  `createReportTarget` in class `SinglePassReportProcessor`